# module Time::Format::YAML_DATE

##
Overview

Even though the standard library has Time parsers given a fixed format, the format in YAML, http://yaml.org/type/timestamp.html, can consist of just the date part, and following it any number of spaces, or 't', or 'T' can follow, with many optional components. So, we implement this in a more efficient way to avoid parsing the same string with many possible formats (there's also no way to specify an "or" like in a Regex).

As an additional note, Ruby's Psych YAML parser also implements a custom time parser, probably for this same reason.

##
Defined in:

time/format/custom/yaml_date.cr

##
Class Method Summary

- .format(time : Time, io : IO)

  Formats a `Time` into the given io.

- .format(time : Time) : String

  Formats a `Time` into a `String`.

- .parse?(string) : Time | Nil

  Parses a string into a `Time`.

##
Class Method Detail

def self.format(time : Time, io : IO) #

Formats a `Time` into the given io.

def self.format(time : Time) : String #

Formats a `Time` into a `String`.

def self.parse?(string) : Time | Nil #

Parses a string into a `Time`.